Skip to main content
`Ctrl`+`K`

# Element

class astropy.io.votable.tree.Element

  Bases: `object`

  A base class for all classes that represent XML elements in the VOTABLE file.

  Methods Summary

  `parse`(iterator, config) | For internal use.
  `to_xml`(w, **kwargs) | For internal use.

  Methods Documentation

  parse(iterator, config)

    For internal use. Parse the XML content of the children of the element.

    Parameters:
      iterator `xml` python:iterable

        An iterator over XML elements as returned by `get_xml_iterator`.

      config `python:dict`

        The configuration dictionary that affects how certain elements are read.

    Returns:
      self `Element`

        Returns self as a convenience.

  to_xml(w, **kwargs)

    For internal use. Output the element to XML.

    Parameters:
      w `astropy.utils.xml.writer.XMLWriter` `object`

        An XML writer to write to.

      **kwargs `python:dict`

        Any configuration parameters to control the output.